#This is an example setup script for both building from source and running the
#binary release.  

###############################
#Required variables for running
###############################


###### External Software ######

#Change this if you use gcc295
setenv CMTCONFIG i686-rh73-gcc32-opt


# Initialise the online software
setenv TDAQ_JAVA_HOME /scratch/tdaq/j2sdk1.4.1_04 #Or set JAVA_HOME instead
setenv PATH ${TDAQ_JAVA_HOME}/bin:${PATH}
source /scratch/tdaq/tdaq-01-04-01/installed/setup.sh
setenv PYTHONPATH ${TDAQ_INST_PATH}/${CMTCONFIG}/lib

# Setup the DataFlow software
# OLD! setenv DF_INST_PATH /scratch/tdaq/DataFlow/DF-00-10-00/installed
# OLD! setenv PATH ${DF_INST_PATH}/${CMTCONFIG}/bin:${DF_INST_PATH}/share/bin:${PATH}
# OLD! setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${DF_INST_PATH}/${CMTCONFIG}/lib

# Setup the PVSS libraries - may not be necessary
setenv PVSS_PATH /atlas/daq/dcs/pvss2_v2.12
setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${PVSS_PATH}/bin
setenv PATH ${PATH}:${PVSS_PATH}/bin

#Setup ROOT
setenv ROOTSYS /atlas/daq/code/gcc323/root/v4.03.04/slc3_gcc3.2.3/root
setenv PATH ${ROOTSYS}/bin:${PATH}
setenv LD_LIBRARY_PATH ${ROOTSYS}/lib:${LD_LIBRARY_PATH}

# Unfortunatley the online software people chose to bundle their own c++ library with their software and put it right at the beginning of LD_LIBRARY_PATH so that distros without the necessary c++ lib at CERN would still work.  However, this breaks everybody else's installation if they already have their own library which should be used in preference.  To get around this stupid stupid bug we need to kludge by adding the dir containing our libstdc++ (in our case /usr/local/lib) to the front of the search path:
setenv LD_LIBRARY_PATH /usr/local/lib:${LD_LIBRARY_PATH}


######## Our Software #########

# The following should set SCT_DAQ_ROOT to the directory this script is run from
setenv SCT_DAQ_ROOT /usr/local/atlas/SctRodDaq

#Set this to your rod configuration (or nothing for the test setup)
# setenv SCTDAQ_ROD_CONFIGURATION_PATH ${SCT_DAQ_ROOT}/installed/config/rods/exampleRod.xml

# Pick one of these (SCT_test will be set by default)
# setenv TDAQ_DB_DATA ${SCT_DAQ_ROOT}/installed/config/databases/SCT.data.xml
# setenv TDAQ_DB_DATA ${SCT_DAQ_ROOT}/installed/config/databases/SCT_nodcs.data.xml
# setenv TDAQ_DB_DATA ${SCT_DAQ_ROOT}/installed/config/databases/SCT_test.data.xml
setenv TDAQ_DB_DATA ${SCT_DAQ_ROOT}/installed/config/databases/SctPartition.data.xml
setenv TDAQ_DB_PATH ${TDAQ_DB_PATH}:${SCT_DAQ_ROOT}/installed/config/databases

#Only necessary if you share your online software installation
setenv TDAQ_IPC_INIT_REF file:${SCT_DAQ_ROOT}/ipc.ref.file

# Directory to put IS proxy files
setenv SCT_SCRATCH_DIR ${SCT_DAQ_ROOT}/scratch

# Directory to permanently save data
setenv SCT_PERSISTENT_DIR ${SCT_DAQ_ROOT}/saved_data

# Hostname-qualified directory to permanently save data
setenv SCT_PERSISTENT_FQDN_DIR `hostname --fqdn`:${SCT_PERSISTENT_DIR}

################################
#Required variables for building
################################

#Add junit.jar to CLASSPATH.  You can get junit.jar from www.junit.org
#setenv CLASSPATH=/atlas/daq/ext/junit.jar:$CLASSPATH

# Point to external programs 
setenv BOOSTDIR /atlas/daq/ext/gcc32/boost-1.30.2
setenv NAGDIR /atlas/daq/ext/Nag_C

# Point to external java jar files
setenv SCT_DAQ_EXT /atlas/daq/ext

#####################################
#And finally, source the setup script
#####################################
cd ${SCT_DAQ_ROOT}
source ${SCT_DAQ_ROOT}/setup.sh
